/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.controller;

import org.fortiss.tooling.common.ui.javafx.lwfxef.DiagramCoordinate;
import org.fortiss.tooling.common.ui.javafx.lwfxef.change.Change;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.IMVCBundle;

import javafx.scene.Node;
import javafx.scene.input.KeyEvent;

/** Interface for controllers that handle key interactions on the selected node. */
public interface IKeyPressController {
	/**
	 * The given key event occurred on the bundle, source node and at the given location. Its effect
	 * may result in a {@link Change} to the underlying model.
	 */
	Change keyEvent(KeyEvent event, IMVCBundle bundle, Node source,
			DiagramCoordinate mouseLocation);
}
