/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.controller.base;

import org.fortiss.tooling.common.ui.javafx.lwfxef.DiagramCoordinate;
import org.fortiss.tooling.common.ui.javafx.lwfxef.change.Change;
import org.fortiss.tooling.common.ui.javafx.lwfxef.controller.IClickController;

import javafx.scene.Node;
import javafx.scene.input.MouseEvent;

/** Base class implementing {@link IClickController}. */
public abstract class ClickControllerBase implements IClickController {
	/** {@inheritDoc} */
	@Override
	public Change singleClick(MouseEvent event, Node node, DiagramCoordinate diagramLocation) {
		// ignore by default
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public Change doubleClick(MouseEvent event, Node node, DiagramCoordinate diagramLocation) {
		// ignore by default
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public Change secondaryClick(MouseEvent event, Node node, DiagramCoordinate diagramLocation) {
		// ignore by default
		return null;
	}
}
