/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.controller.rectangular;

import org.fortiss.tooling.common.ui.javafx.lwfxef.controller.IDragController;
import org.fortiss.tooling.common.ui.javafx.lwfxef.controller.base.AnchorageContentControllerBase;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.IContentAnchorageMVCBundle;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.IContentMVCBundle;

import javafx.geometry.Side;

/** Base class for controllers with content visuals represented by rectangles. */
public abstract class RectangularResizableContentControllerBase
		extends AnchorageContentControllerBase {
	/** Constructor. */
	public RectangularResizableContentControllerBase(IContentMVCBundle mvcb) {
		super(mvcb);
	}

	/** {@inheritDoc} */
	@Override
	protected IDragController createAnchorageMoveController(IContentAnchorageMVCBundle anchorage) {
		return new RectangularContentAnchorageMoveController(this, anchorage);
	}

	/** Sets the side and offset of the given anchorage when move operation has completed. */
	protected abstract void moveAnchorageToSideOffset(IContentAnchorageMVCBundle anchorage,
			Side side, double offset);
}
