/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.model;

import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.impl.MVCBundleBase;

/** Interface for classes providing model changes to the {@link MVCBundleBase}s. */
public interface IModelChangeProvider {
	/** Adds the given listener. */
	public void addListener(IModelChangeListener l);

	/** Removes the given listener. */
	public void removeListener(IModelChangeListener l);

	/** Fires the change event to all listeners. */
	public void fireUpdateComplete();
}
