/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.mvc;

import java.util.List;

import org.fortiss.tooling.common.ui.javafx.lwfxef.visual.IContentVisual;

/** Interface for content elements of the diagram viewer. */
public interface IContentMVCBundle extends IMVCBundle {
	/** Returns the {@link IDiagramMVCBundle} this content is attached to. */
	IDiagramMVCBundle getDiagramBundle();

	/** Returns the list of attached anchorages. */
	List<IContentAnchorageMVCBundle> getAnchorages();

	/** Returns the children of this content bundle. */
	List<IContentMVCBundleWithParent> getChildren();

	/** {@inheritDoc} */
	@Override
	IContentVisual getVisual();
}
