/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.mvc;

/**
 * Interface for content elements of diagrams, which have a reference to another
 * {@link IContentMVCBundle}.
 */
public interface IContentMVCBundleWithParent extends IContentMVCBundle {
	/** Returns the parent {@link IContentMVCBundle}. */
	IContentMVCBundle getParentBundle();

	/** Sets the parent of this {@link IContentMVCBundleWithParent}. */
	void setParentBundle(IContentMVCBundle parent);
}
