/*******************************************************************************
 * Copyright (c) 2019, 2020 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0 which is available at
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.impl;

import org.fortiss.tooling.common.ui.javafx.lwfxef.DiagramViewer;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.IContentAnchorageMVCBundle;
import org.fortiss.tooling.common.ui.javafx.lwfxef.mvc.IContentMVCBundle;
import org.fortiss.tooling.common.ui.javafx.lwfxef.visual.IContentAnchorageVisual;

/** Implementation of {@link IContentAnchorageMVCBundle}. */
public final class ContentAnchorageMVCBundle extends AnchorageMVCBundleBase
		implements IContentAnchorageMVCBundle {
	/** Constructor. */
	public ContentAnchorageMVCBundle(Object m, IContentMVCBundle attachedTo, DiagramViewer v) {
		super(m, attachedTo, v);
		attachedTo.getAnchorages().add(this);
	}

	/** {@inheritDoc} */
	@Override
	public void remove() {
		getAttachedTo().getAnchorages().remove(this);
	}

	/** {@inheritDoc} */
	@Override
	public IContentMVCBundle getAttachedTo() {
		// wild cast works: see constructor
		return (IContentMVCBundle)super.getAttachedTo();
	}

	/** {@inheritDoc} */
	@Override
	public IContentAnchorageVisual getVisual() {
		return (IContentAnchorageVisual)super.getVisual();
	}
}
