/*******************************************************************************
 * Copyright (c) 2017, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Apache License, Version 2.0, which is available at 
 * https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.common.ui.javafx.style;

import javafx.scene.paint.Color;

/**
 * Base class for styles with a single {@link Color}.
 * 
 * @author hoelzl
 */
abstract class ColorStyleBase {
	/** The RGBA color. */
	private final Color rgbaColor;

	/** Constructor. */
	public ColorStyleBase(Color rgbaColor) {
		this.rgbaColor = rgbaColor;
	}

	/** Returns the RGBA color. */
	public final Color getColor() {
		return rgbaColor;
	}
}
