/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.databinding.validate;

import org.eclipse.core.databinding.validation.IValidator;
import org.eclipse.core.databinding.validation.ValidationStatus;
import org.eclipse.core.runtime.IStatus;

/**
 * Validator when going from String to Integer.
 * 
 * @author hoelzlf
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: 271AAF5D7103096B4EE30CD3F5AB21FE
 */
public class TextToIntegerValidator implements IValidator {

	/** Singleton instance. */
	public static final TextToIntegerValidator INSTANCE = new TextToIntegerValidator();

	/** {@inheritDoc} */
	public IStatus validate(Object value) {
		try {
			Integer.parseInt(((String) value));
		} catch (Exception e) {
			return ValidationStatus.cancel(e.getMessage());
		}
		return ValidationStatus.ok();
	}
}